View Issue Details

IDProjectCategoryView StatusLast Update
0000272GTAC Client/GameGrand Theft Auto IIIpublic2021-03-21 18:46
ReporterARIAN Assigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Summary0000272: Unhandled Exception(GTA 3 & VC)
Description

it only happens to the players with other IDs , player with 0 ID is fine , no crashes at all.

in GTA 3 , it happens mostly when you're respawning after death ( using with both added respawn code in freeroam resource and using v-respawnscreen resource) , other times it happens when you get busted by the cops in car.

in GTA VC , it happens sometimes randomly (don't know if it happens when you're getting busted by the cops or not , haven't tried)

I've also uploaded the crash log

another bug i ran into (not game breaking) is in the /car command . when you spawn a car far away from another player and getting to that player using your spawned car , the car is invisible and that player only sees you driving around in an invisible car.

TagsNo tags attached.
Game Version

Relationships

has duplicate 0000279 resolved Crash after busted GTA 3 

Activities

ARIAN

2021-02-10 16:55

reporter  

gta3.exe.20210210200641.log (3,126 bytes)   
Unhandled exception at 0x004A1632 in gta3.exe (+0xa1632): 0xC0000005: Access violation reading location 0x00000000.
    Register dump:
        EAX: 0x00000000  EBX: 0x00000000  ECX: 0x00000000  EDX: 0x00000000  
        EDI: 0x03BE0658  ESI: 0x0000100A  EBP: 0x00000000  EIP: 0x004A1632  
        ESP: 0x0018FD08  EFL: 0x00210246  
        
        CS: 0x00000023   SS: 0x0000002B   
        GS: 0x0000002B   FS: 0x00000053   
        ES: 0x0000002B   DS: 0x0000002B   
        
        ST00: 0x00000000 0x00000000 0x0000FFFF 0x64000000  [ 0.000000 0.000000 0.000000 9444732965739290427392.000000 ]
        ST01: 0x00000000 0xC2A96400 0x00003FFB 0x00000000  [ 0.000000 -84.695313 0.000000 0.000000 ]
        ST02: 0x00000000 0xF4240000 0x00004016 0x41000000  [ 0.000000 -51973674609357405461364831420416.000000 0.000000 8.000000 ]
        ST03: 0x00000000 0xEF604100 0x00004001 0x00000000  [ 0.000000 -69403222378256246290706857984.000000 0.000000 0.000000 ]
        ST04: 0x00000000 0xB4000000 0x00004005 0x10000000  [ 0.000000 -0.000000 0.000000 0.000000 ]
        ST05: 0x00000000 0xAF0B1000 0x00004000 0xDA000000  [ 0.000000 -0.000000 0.000000 -9007199254740992.000000 ]
        ST06: 0x00000000 0x8E76DA00 0x00004007 0x00000000  [ 0.000000 -0.000000 0.000000 0.000000 ]
        ST07: 0x00000000 0x96000000 0xAE104006 0x002B019A  [ 0.000000 -0.000000 -0.000000 0.000000 ]
        
        XMM00: 0x00000000 0x00000000 0x00000000 0x00000000  [ 0.000000 0.000000 0.000000 0.000000 ]
        XMM01: 0x3F000000 0x00000000 0x00000000 0x00000000  [ 0.500000 0.000000 0.000000 0.000000 ]
        XMM02: 0xC4F8C000 0x00000000 0x00000000 0x00000000  [ -1990.000000 0.000000 0.000000 0.000000 ]
        XMM03: 0x36088889 0x00000000 0x00000000 0x00000000  [ 0.000002 0.000000 0.000000 0.000000 ]
        XMM04: 0x36088889 0x00000000 0x00000000 0x00000000  [ 0.000002 0.000000 0.000000 0.000000 ]
        XMM05: 0x34888889 0x00000000 0x00000000 0x00000000  [ 0.000000 0.000000 0.000000 0.000000 ]
        XMM06: 0x3F088889 0x00000000 0x00000000 0x00000000  [ 0.533333 0.000000 0.000000 0.000000 ]
        XMM07: 0x00000000 0x00000000 0x00000000 0x00000000  [ 0.000000 0.000000 0.000000 0.000000 ]
        
    Stack dump:
        0x0018FD08:  004B693C 00360026 5F425553 004E4F5A 00000000 004B858F
        0x0018FD20:  00846228 004031C5 1277E9B4 0C7C3BA0 0C7C3BA0 00421AFE
        0x0018FD38:  00000000 00000200 00846234 00000003 4958CFC6 00000000
        0x0018FD50:  65FDAA3C 004217F3 0C7C3BA0 C49D7000 C2320000 42670000
        0x0018FD68:  42B40000 DFE4A2B9 42B40000 03D18F18 00000001 16A27CD8
        0x0018FD80:  C49D7000 C2320000 42670000 65D1AA11 65C2B7B8 0018FD9B
        0x0018FD98:  BF06258D 00525218 C3B62369 C3B49EE4 43706DB3 4271F0B1
        0x0018FDB0:  436E8FA1 427853F2 00000000 0018FDDC 03D18F18 00000001
        0x0018FDC8:  0048CACD 02DF0BDF 00000000 65C00135 0048C950 0000001A
        0x0018FDE0:  65BF9155 65BF916F 03BE0658 03D18F18 0000001A 0018FE08
        base: 0x00090000   top: 0x0018FD08   bottom: 0x00190000
        
    Backtrace (may be wrong):
        =>0x004A1632 in gta3.exe (+0xa1632) 
        
    
gta3.exe.20210210200641.log (3,126 bytes)   

Vortrex

2021-02-12 07:45

administrator   ~0000161

Please attach the crash dump to a reply here.
To find the crash dump, open GTAC launcher and select "Open" at the bottom, then "Crashes".
If you've just crashed from it, it'll be the file with the most recent modified date.

ARIAN

2021-02-12 11:27

reporter   ~0000162

ARIAN

2021-02-12 11:40

reporter   ~0000163

the first crash dump is for GTA 3 , this second one is for vice city , for vice city it happens randomly and i've noticed the debug console is like this when more than one players join

debug.JPG (82,027 bytes)   
debug.JPG (82,027 bytes)   

Vortrex

2021-03-21 18:46

administrator   ~0000187

Fixed in 1.2.25

Issue History

Date Modified Username Field Change
2021-02-10 16:55 ARIAN New Issue
2021-02-10 16:55 ARIAN Status new => assigned
2021-02-10 16:55 ARIAN Assigned To => Vortrex
2021-02-10 16:55 ARIAN File Added: gta3.exe.20210210200641.log
2021-02-12 07:45 Vortrex Note Added: 0000161
2021-02-12 11:27 ARIAN Note Added: 0000162
2021-02-12 11:27 ARIAN File Added: 2021-02-12 14-52-28.643.dmp.gz
2021-02-12 11:40 ARIAN Note Added: 0000163
2021-02-12 11:40 ARIAN File Added: 2021-02-12 15-04-14.863.dmp.gz
2021-02-12 11:40 ARIAN File Added: debug.JPG
2021-02-17 14:44 Vortrex Assigned To Vortrex =>
2021-02-17 14:44 Vortrex Category Discord => Grand Theft Auto III
2021-02-17 14:45 Vortrex Priority high => urgent
2021-02-17 14:45 Vortrex Status assigned => new
2021-03-05 20:56 Vortrex Relationship added has duplicate 0000279
2021-03-21 18:46 Vortrex Status new => resolved
2021-03-21 18:46 Vortrex Resolution open => fixed
2021-03-21 18:46 Vortrex Note Added: 0000187